### Method

# Foundry LlmManager list_resources

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_llm_manager_list_resources (
      FoundryLlmManager* self
    )

#### Description [src]

List resources from all providers.

The resulting `GListModel` is asynchronously populated. If you want to be sure that all providers have completed populating, you may await completion by calling `foundry_list_model_await()`.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryLlmResource`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.